Subject: Re: bug#18982: 24.4.51; assertion violation in set_cache_region after revert-buffer
From: Nicolas Richard <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sun, 09 Nov 2014 22:13:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Good evening Eli,

Eli Zaretskii <[email-masked]> writes:
>>     Fix bug #15973 with erratic cursor motion after reverting a buffer.
> For the record: the bzr revno was 115259, not 15973.

15973 is the bug number, in the quoted text, not a bzr revno. Or are you
referring to something else ?

>>      src/fileio.c (Finsert_file_contents): Invalidate buffer caches when
>>      deleting portions of the buffer under non-nil REPLACE argument.
>
> Thanks.  I think I fixed this in r117696 on the emacs-24 branch,
> please test.

Yep, I can confirm it is fixed. Closing this bug.

Thanks a lot !

-- 
Nicolas Richard